Retrieve a List of Device Licenses

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.zerionsoftware.com/doc/iformbuilder-v60/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "iFormBuilder V60 MCP server": {
    "url": "https://apidocs.zerionsoftware.com/doc/iformbuilder-v60/mcp"
  }
}

Close
GET /profiles/{profile_id}/licenses

Path parameters

  • profile_id string Required

    id of the profile

Query parameters

  • fields string

    extra information of each user on the list

  • limit number

    maximum count of the user list

  • offset number

    skip that many users before beginning to return

Responses

  • 200 application/json

    OK

    Hide headers attribute Show headers attribute
    • Total-Count string
    Hide response attributes Show response attributes object
    • application_name string
    • application_version string
    • device_id string Required
    • device_last_login_date string
    • devicelastloginuser_demouser string
    • device_model string
    • device_notification_token string
    • device_system_version string
    • id number Required
    • username string Required
GET /profiles/{profile_id}/licenses
curl \
 --request GET 'https://servername.iformbuilder.com/exzact/api/v60/profiles/self/licenses' \
 --header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (200)
[
  {
    "device_id": "d174b4c64f6f358a3b19bfca4558eb1d9d3e265f",
    "id": 161236,
    "username": "demo_user"
  },
  {
    "device_id": "d174b4c64f6f358a3b19bfca4558eb1d9d3e265f",
    "id": 161236,
    "username": "demo_user"
  },
  {
    "device_id": "d174b4c64f6f358a3b19bfca4558eb1d9d3e265f",
    "id": 161242,
    "username": "inspector_2"
  }
]